<?php
/**
* lastfm Module: mod_lastfmjr
* @version $Id$
* @package mod_lastfmjr
* @subpackage LICENSES.php
* @author joomlarulez.
* @copyright (C) www.joomlarulez.com
* @license Limited  http://www.gnu.org/licenses/gpl.html
* @final 1.2.0
*/

defined('_JEXEC') or die('Restricted access');
?>

Terms of Service for LastFM.com
http://www.last.fm/legal/terms
	
Updated on: November 21, 2008
IMPORTANT

PLEASE CAREFULLY READ THESE TERMS OF USE ("Terms of Use") BEFORE USING THE WEBSITE OR ANY OF THE OTHER PROPERTIES (AS DEFINED BELOW), AS THEY AFFECT YOUR LEGAL RIGHTS AND OBLIGATIONS.

Last.fm Limited ("Last.fm" or "we" "our" or "us") owns or controls, and provides access to the Last.fm website, at the url www.last.fm and related properties (the "Website"), the Last.fm client software, the Last.fm widget, the Last.fm API and all proprietary services, software, data and materials accessed via the Website (the “Services”). The Website and the Services are referred to together in these Terms of Use as the “Properties”.

THESE TERMS OF USE GOVERN YOUR USE OF THE PROPERTIES.

These Terms of Use apply to the Properties and not to any other website or any offline activities of Last.fm (unless specifically stated). By accessing or using the Properties, registering for or receiving Services offered on the Website, or by accepting, uploading, submitting or downloading any information or content from or to the Website, you agree to be bound by these Terms of Use.

IF YOU DO NOT AGREE TO BE BOUND BY ALL OF THESE TERMS OF USE, DO NOT USE THE PROPERTIES.
Contents

   1. Changes to the Website and the Terms of Use
   2. Description of Website Services
   3. Intellectual Property Ownership; Licence
   4. Links To Other Websites
   5. Our Linking and Widget Policy
   6. Acceptable Use
   7. User Accounts, Additional Terms & End User Licence Agreements
   8. Competitions
   9. Software
  10. Copyrights & Copyright Agents
  11. Third Party Content and Information
  12. Information You Submit
  13. Disclaimer of Warranties
  14. Disclaimers/Limitation of Liability
  15. Indemnity
  16. Governing Law
  17. Miscellaneous
  18. Termination

1. Changes to the Properties and the Terms of Use

We reserve the right to add, delete, change or modify parts of these Terms of Use at our sole discretion and at any time without notice to you. If we do this, we will post the changes to the Terms of Use on this page and will indicate the effective date of the Terms of Use at the top of the page. It is important for you to refer to these Terms of Use from time to time to make sure that you are aware of any additions, revisions, or modifications that we may have made to these Terms of Use. Your continued use of the Website constitutes your acceptance of the new Terms of Use.
2. Description of Website and the Services

Access to the Website currently provides users with access to the Services and a rich collection of online resources, including online forums, personalised content, interactive advertising messages, proprietary software (including updates, patches and new versions), audio, videos and other community and entertainment products. Unless explicitly stated otherwise, any new features which may be added to the Website or the Services, including without limitation, the release of new Last.fm services and software, are subject to these Terms of Use.

In some instances, these Terms of Use and a separate end user licence or similar agreement may apply to a service or product offered by Last.fm via the Properties. We may add, change, remove, suspend or discontinue any aspect of the Website and/or the Services at any time without notice. We may also impose limits on certain features and/or restrict access to parts of or all of the Properties without notice or liability to you or any third party.

In order to use the Website, you must obtain access to the Internet, either directly or through devices that access web-based content, and pay any service fees associated with such access. In addition, you must provide all equipment necessary to make such connection to the Internet, including a computer and modem or other access device.

You acknowledge that the Services include certain elements which allow Last.fm proprietary software to be downloaded to your computer which interacts with other computer programs (including iTunes), the Last.fm computer servers and your iPod or other permitted devices.
3. Intellectual Property Ownership; Licence

The past, present and future content of the Properties, including, without limitation, software graphics, text, images, audio, videos, designs, compilations, databases, targeting information, advertising copy, and the trademarks, logos, domain names, trade names, service marks and trade identities; any and all copyright material (including source and object code); and all other materials related to the Properties, including without limitation, the "look and feel" of the Website (collectively, "Content") are protected by applicable copyrights, trademark rights, database rights and other proprietary (including, but not limited to, intellectual property) rights and are the property of Last.fm, its parent, subsidiaries, affiliates, or its licensors. Except as expressly set forth in these Terms of Use or otherwise expressly granted to you in writing by Last.fm, no rights (either by implication, estoppel or otherwise) in or to the Content are granted to you.

The copying, reproduction, re-arrangement, sale, leasing, renting, lending, distribution, redistribution, modification or adaptation, downloading, sideloading, exchanging, creating of derivative works, uploading, posting, transmitting, communication to the public or publication by you, directly or indirectly, of the Content, including the removal or alteration of advertising, except pursuant to the express limited grant of rights hereunder, is strictly prohibited. You agree to abide by any and all additional notices, information or restrictions in respect of the Properties contained in any part of the Website. Exploiting any part of the Properties for a purpose that is not permitted by these Terms of Use is expressly prohibited without prior written permission from Last.fm or the applicable intellectual property rights holder as identified on the Website.

Subject to your strict compliance with these Terms of Use, Last.fm grants you a limited, personal, non-exclusive, non-commercial, revocable, non-assignable and non-transferable licence to:

   1. download and use the Last.fm client-based software in accordance with its pre-defined functionality only;
   2. listen to music and view videos streamed from the Website and participate in the Last.fm community areas;
   3. submit or upload music, video and other content to the Website strictly as permitted in accordance with these Terms of Use and any other terms posted on the Website;
   4. embed the Last.fm widget on your personal website or profile pages for non-commercial and private use only; and
   5. communicate with other members of the Last.fm community;

Provided that you:

   1. retain and do not alter or tamper with any trademark, copyright and other proprietary or legal notices contained in the original Content or any permitted copy you may make of the Content;
   2. do not, and do not allow or aid or abet any third party (whether or not for your benefit) to, copy or adapt the object code of the Website or Services (including, without limitation, software, HTML, JavaScript, or other code); to reverse engineer, decompile, reverse assemble, modify or attempt to discover any source or object code, circumvent or attempt to circumvent or copy any copy protection mechanism or access any rights management information;
   3. do not insert any code, product or material to manipulate the Content in any way that affects any user's experience;
   4. copy or seek to copy or “rip” any audio and/or audiovisual content from the Website or any part of the Service (including, without limitation, the Last.fm widget);
   5. do not embed or otherwise exploit the Last.fm widget for commercial gain (which includes, for example and without limitation, selling advertising on your site or otherwise monetising any element of your site which contains the Last.fm widget); and
   6. do not adapt, copy, republish, communicate to the public, display, transfer, share, distribute or otherwise exploit the Content, except as under these Terms of Use.

Last.fm alone shall be responsible for determining, in its discretion, whether any use of the Last.fm widget constitutes commercial use in each case.
4. Links to Other Websites

The Website may contain hyperlinks to other websites ("Other Sites"). If you use the hyperlinks to access these Other Sites, you will leave the Website and your browser will be re-directed to the Other Sites. The Other Sites may have their own terms of use and privacy policy and those Other Sites may have different practices and requirements than the Website. Last.fm may not have knowledge of, and is not responsible for, the content, information, services, products or advertisements presented by any Other Site which you use at your own risk. Last.fm does not warrant or make any representation regarding the legality, accuracy, quality or authenticity of content, information, services or products presented by Other Sites. The hyperlinks to Other Sites do not constitute an endorsement by Last.fm of any Other Site(s) or resources, or their content, information, services or products. The Website is only providing these links to you as a convenience. The terms of use and privacy policy of any Other Sites shall apply to your access and use of them. Last.fm accepts no responsibility for the content or conduct of Other Sites.
5. Our Linking and Widget Policy

Any web site that links to the Website or on which you include the widget: (a) must not frame, surround, obfuscate or create a browser or border environment around any of the Content of the Website; (b) may link to, but not replicate, the Content; (c) must not imply that Last.fm or the Website or any artist or performer are endorsing or sponsoring it or its products, unless Last.fm has given its prior written consent; (d) must not present false information about Last.fm or its products or services; (e) must not use any Last.fm Services or trademarks except as expressly permitted in these Terms of Use or without the prior written permission from Last.fm; (f) must not contain content that is illegal, obscene or defamatory, or that could be construed as distasteful, offensive or controversial; and (g) must not support, endorse or encourage piracy or the unauthorised exploitation of intellectual property rights. By linking to the Website, you agree that you do and will continue to comply with the above linking requirements. Notwithstanding anything to the contrary contained in these Terms of Use, we reserve the right to deny permission to link to the Website for any reason in our sole and absolute discretion.

We provide the Last.fm widget to enable our users to share Last.fm with their friends. It is not provided for commercial use, distribution or exploitation. If you are the operator of a commercial website and would like to include the Last.fm widget in your website, or if you would like to use the widget for commercial purposes, please contact us by emailing partners@last.fm.

Last.fm reserves the right to remove links or block the Last.fm widget at any time and for any reason in its absolute discretion.
6. Acceptable Use

You will not use the Properties to:

   1. Upload, post, e-mail, transmit, display, copy, distribute, promote, or otherwise communicate to the public:
         1. any material that is false, unlawful, threatening, tortious, disparaging (including disparaging of Last.fm, its parent, subsidiaries or affiliates), anything that adversely affects Last.fm such as discouraging any person or entity from advertising with, linking to or supplying Last.fm, abusive, libellous, defamatory, obscene, vulgar, offensive, pornographic, profane, racist, sexually explicit, ethnically or culturally offensive, indecent, or that promotes violence, racial hatred, terrorism, or illegal acts, or is otherwise objectionable in Last.fm's sole discretion;
         2. information, software, content or other material that violates, plagiarises, misappropriates or infringes the rights of third parties including, without limitation, copyright (including, offering pirated computer programs or links to such programs, information used to circumvent manufacturer-installed copy-protect devices, including serial registration numbers for software programs, rights management information or any type of cracker utilities), trademark, patent, trade secret, rights of privacy or publicity, confidential information or any other proprietary right;
         3. material of any kind that contains a virus, Trojan horse, time bombs, worms, spyware, adware, malware, bots, any automated use of the system, such as scripts, or other harmful component or restricts or inhibits any other user's uninhibited use and enjoyment of the Properties, interferes with, overburdens, impairs or disrupts the Properties or servers or networks connected to the Properties, or disobeys any requirements, procedures, policies or regulations of networks connected to the Properties;
         4. information or material of any kind that is false or misleading or that constitutes or contains false or misleading indications of origin or statements of fact, including, without limitation, by forging any TCP/IP packet header, any part of the header information in any transmission to the Website, or otherwise manipulating identifiers in order to disguise the origin of any content transmitted to or from the Website; or
         5. any unsolicited or unauthorised advertising, promotional materials, junk mail, spam, chain letters, pyramid schemes, requests for money, petitions for signature, or any other form of solicitation.
   2. Encourage, promote, solicit or commit conduct that would constitute a criminal offence, give rise to civil liability or otherwise violate any local, state, national or international law or otherwise make available any material that exploits or harms any individual, corporation or other entity.
   3. Impersonate any person or entity or falsely state or otherwise misrepresent your affiliation with a person or entity;
   4. Disrupt the normal flow of dialogue, cause a screen to scroll faster than other users of the Website are able to type, or otherwise act in a manner that negatively affects other users' ability to engage in real time exchanges on the Website;
   5. Stalk, abuse, sexually exploit, violently exploit, groom, act violently toward, threaten or otherwise harass another user;
   6. Use or attempt to use another's information, account, password, service or system except as expressly permitted;
   7. Solicit or collect personal data including telephone numbers, addresses, last names, email addresses, or any other kind of information about users, including without limitation, through such means as spidering, “screen scraping,” “database scraping,” harvesting of e-mail addresses, wireless addresses or other contact or personal information, or any other automatic means of accessing, logging-in or registering on the Website or for any services or features offered on or through the Website; and
   8. Undertake any commercial purpose or activity without the prior written consent of Last.fm, including, for example and without limitation, inserting your own or a third party’s advertising, branding or promotional content into any of the Website’s or Properties’ content, materials or services (for example, without limitation, in an RSS feed or a podcast received from Last.fm or otherwise available through the Properties).

You represent, warrant and agree that you will comply with the above acceptable use requirements. Last.fm reserves the right, in its sole discretion, to terminate any user’s account or take such other action as Last.fm sees fit in relation to any user who breaches Last.fm’s acceptable use policy or any of the other terms set forth herein. In extreme cases or as required by law or regulation, Last.fm reserves the right to take court action and/or report users to the relevant authorities. Last.fm believes in building a caring community based around sharing music and will not tolerate antisocial or unlawful behaviour on the Website or in connection with any of the other Properties.
7. User Accounts, Additional Terms, End User License Agreements & Subscriptions

Registration may be required for the use of certain Services and portions of the Website (e.g., e-mail, newsletters, competitions, forums, content downloads, promotions etc.). In some instances, these Terms of Use and separate end user licence agreements or terms of use that set forth additional conditions may apply to Services or products offered via the Website. To the extent there is a conflict between these Terms of Use and the terms of any applicable end user licence or similar agreement, the end user licence or similar agreement will prevail, unless the additional conditions expressly state that these Terms of Use will prevail. In cases where there are no additional terms or conditions stated for any such registrations, services or products, these Terms of Use will prevail.

If you choose to provide information to the Website, you agree to provide only true, accurate, current and complete information. If you create a user account, you agree to accept responsibility for all activities that occur under your account or password, if any, and agree you will not sell, transfer or assign your user account. You are responsible for maintaining the confidentiality of your password, if any, and for restricting access to your computer so that others may not access any password-protected portion of the Website or other Properties using your name, user name or password in whole or in part.

You may be able to purchase a subscription for certain additional features of the Website and Services. You may only order subscriptions if you are considered capable of entering into an enforceable contract in the applicable jurisdiction. You agree to pay in full the prices for any purchases you make either by credit/debit card concurrent with your online order or by other payment means acceptable to Last.fm. You agree to pay all applicable taxes. If payment is not received by us from your credit or debit card issuer or its agents, you agree to pay all amounts due upon demand by us.
8. Competitions

Last.fm may decide to run competitions, promotions, prize draws and other opportunities on the Website and these will be governed by a separate set of terms and conditions. A link to these terms and conditions will be found on the Website, alongside details of the specific competition, promotion, prize draw and other opportunities. It is your responsibility to read those terms and conditions for details about the terms that shall apply and any eligibility requirements.
9. Software

Any software that we make available for download or use from the Website and/or our servers (the "Software") is the intellectual property of Last.fm or its licensors or suppliers. Any such “Software” shall be considered a “Service” or one of the “Properties” as such terms are defined and used herein. Your use of the Software may be governed by the terms of an end user licence agreement that may accompany or that may be included with the Software (the "Licence Agreement"). Please carefully read any Licence Agreement and Paragraph 7 above to determine the full extent of the terms and conditions governing the use of such Software.

WITHOUT LIMITING THE FOREGOING, COPYING OR REPRODUCTION OF THE SOFTWARE TO ANY OTHER SERVER OR LOCATION FOR FURTHER USE, REPRODUCTION, REDISTRIBUTION OR OTHER EXPLOITATION IS EXPRESSLY PROHIBITED, UNLESS SUCH USE, REPRODUCTION, REDISTRIBUTION OR EXPLOITATION IS EXPRESSLY PERMITTED BY THE LICENCE AGREEMENT APPLICABLE TO SUCH SOFTWARE.
10. Copyrights and Copyright Agents

At Last.fm, we aim to respect the intellectual property rights of others. If you believe that your work (or the work of a third party on whose behalf you are entitled to act) has been copied, used, or made available on or through the Last.fm Website in a way that constitutes copyright infringement of your intellectual property, please provide our copyright agent with a copyright infringement notice (“Notice”) which should include the following written information:

   1. a statement that you have identified material on the Website which infringes your copyright (or infringes the copyright of a third party on whose behalf you are entitled to act, if applicable);
   2. identification of the copyrighted work claimed to have been infringed, or, if multiple copyrighted works at a single online site are covered by a single Notice, a representative list of such works at that site;
   3. identification of the material that is claimed to be infringing or to be the subject of infringing activity and that is to be removed or access to which is to be disabled, and information reasonably sufficient to permit Last.fm to locate the material (including, for example, a URL and/or screen shot);
   4. your full name, email address, postal address and telephone number on which you can be contacted;
   5. a statement by you that you have a good-faith belief that use of the material in the manner complained of is not authorised by the copyright owner, its agent, or the law;
   6. a statement by you that the information in the Notice is accurate, and under penalty of perjury, that the complaining party is authorized to act on behalf of the owner of the exclusive right that is allegedly infringed; and
   7. a physical or electronic signature (which may be a scanned copy) of a person authorized to act on behalf of owner of the work that is allegedly infringed.

Last.fm's agent for notice of claims of copyright infringement on or regarding the Website can be reached as follows:

By mail:

    For: Copyright Agent, Legal Department
    Last.fm Limited
    Karen House
    1-11 Baches Street
    London, N1 6DL

    Attention of: Wayne Hutchinson
    51 West 52nd Street
    New York, New York 10019
    Tel: +1 212 975 4321
    Fax: +1 212 975 0117
By email:
    infringementcomplaint@last.fm

If you are unsure about your rights in respect of material, or whether there has been an infringement of your rights, we suggest you take legal advice before sending a Notice to Last.fm.

Please note that any video content made available on or through the Website which contains or displays the YouTube logo or which is provided via the YouTube player is provided to you by YouTube and from YouTube’s servers, and Last.fm thus does not have the ability to permanently remove all or any such content from YouTube’s servers. Therefore, if you have a complaint concerning any video content made available on the Website that is provided by YouTube, you should contact YouTube directly in accordance with copyright policies at: http://www.youtube.com/t/terms. If you believe that your work is available on the Website via the YouTube player in a way that constitutes copyright infringement, please: (i) contact YouTube directly in accordance with copyright policies at: http://www.youtube.com/t/terms and (i) contact Last.fm by sending us a notice in accordance with the provisions of this Section 10.
11. Third Party Content and Information

The Properties contain Content and information that is provided for your convenience and enjoyment. Third parties provide some of the Content and information. You should be aware that the Content might contain errors, omissions, inaccuracies, outdated information and inadequacies and that the Content may be subject to terms and conditions, which may be found on the Website or in the documents and policies of third parties. Last.fm makes no representations or warranties as to the completeness, accuracy, adequacy, currency or reliability of any Content and will not be liable for any lack of the foregoing.

In addition, third party advertisers or commercial partners may offer goods, services and other materials to you on the Website. Your correspondence and business dealings with others found on or through the Website including, without limitation, the payment and delivery of products and services, the delivery of videos or other content, and any terms, conditions, warranties and representations associated with such dealings, are solely between you and the relevant third party. Last.fm will not be responsible or liable for any loss or damage of any sort incurred as the result of any such dealings or the offering of such products, services, and other Content on the Website. Under certain circumstances, we may permit third party users to upload content, in which event you, at your own risk, may be exposed to offensive, indecent or objectionable content.

Descriptions of, or references to, products, services or publications within the Website do not imply endorsement of that product, service or publication.
12. Information You Submit

From time to time, the Properties may contain functionality through which you can upload or submit information, data, software, messages, photographs, audio, video, text and other materials to, through or on the Website ("Your Upload Information"). For example, the Website may offer forums, bulletin boards, wikis, chat rooms, blogs or other interactive areas ("User Forums"). Last.fm, its parent, subsidiaries or affiliates or the directors, officers, employees, or other representatives of each of them do not endorse the content posted in User Forums. Last.fm reserves the right, but is not obligated, to delete, move or edit Your Upload Information, in whole or in part, submitted by you to a User Forum for any reason in their sole discretion. Last.fm reserves the right to suspend or terminate your access to the Website and pursue all legal remedies if we believe your Upload Information infringes another's rights or otherwise violates any law, rule or regulation. You acknowledge and agree that you are prohibited from accepting payment for Your Upload Information from any third party, including, without limitation, accepting payment for the inclusion of a logo, brand advertising or other commercial content, in Your Upload Information.

All of Your Upload Information is your sole responsibility. This means that you, and not Last.fm, are entirely responsible for all of Your Upload Information that you upload, post, e-mail, transmit or otherwise make available via the Website. Last.fm actively discourages you from uploading information or content (including photographs) about your friends or other people without their express prior consent. If you post personal information in User Forums or on other publicly available areas of the Website, then you may receive unsolicited messages from third parties. Last.fm cannot ensure the security of any information you post in User Forums or on publicly available areas of the Website. Under no circumstances will Last.fm be liable in any way for any of Your Upload Information including, but not limited to, any errors or omissions in Your Upload Information, or for any loss or damage of any kind incurred as a result of Your Upload Information.

You warrant and represent that Your Upload Information: (i) is an original work by you or you have all necessary rights, licenses and permissions in it and to submit it to Last.fm under the terms of these Terms of Use; (ii) is not defamatory; and (iii) does not infringe upon, misappropriate or violate the rights of any third parties, including, without limitation, any intellectual property rights, rights of publicity or privacy or any other proprietary rights or otherwise violate any law, rule, or regulation.

Except as otherwise described in our Privacy Policy or other agreement on the Website at which you provide Your Upload Information, Your Upload Information will be treated as non-confidential and non-proprietary and we will not be liable for any use or disclosure to anyone, including but not limited to claimed intellectual property owners. When you upload Your Upload Information via the Website, you irrevocably grant to Last.fm, its parent, subsidiaries, affiliates, and partners, without any credit or compensation to you, a non-exclusive, worldwide, perpetual, unrestricted, irrevocable, royalty-free and fully transferable, assignable and sub-licensable right and licence to use, reuse, modify, adapt, alter, display, archive, publish, sub-license, perform, copy, reproduce, disclose, transmit, communicate to the public, post, sell, translate, create derivative works of, distribute, make and export Your Upload Information (in whole or in part), or to incorporate it in other works in any form, media, software or technology of any kind now known or developed in the future, for any purposes whatsoever including, without limitation, for advertising, marketing, publicity and promotional purposes, such as developing, manufacturing and marketing products and targeted advertisements using such Uploaded Information. You hereby waive any moral rights (or any similar rights in any jurisdiction) you may have in and to any of Your Upload Information, even if such material is altered or changed in a manner not agreeable to you. You agree and understand that Last.fm, its parent, subsidiaries, affiliates, and partners are not obligated to use Your Upload Information submitted through the Website or otherwise, and may alternatively choose, in its sole discretion, to discard, refuse to post, limit or block access to Your Uploaded Information without any liability whatsoever.

You acknowledge that the Web Site, through Last.fm, its parent, subsidiaries, affiliates, and partners undertakes no obligation to pre-screen Your Upload Information, but that it has the right, in its sole discretion to monitor, modify, transmit over various networks, refuse, move, block access to or remove any of Your Upload Information. You agree that you must evaluate, and bear all risks associated with, the use of any of Your Upload Information including, but not limited to, any reliance on the accuracy, completeness, or usefulness of Your Upload Information. Since Last.fm, its parent, subsidiaries, affiliates, and partners may not pre-screen user generated content, you may bear legal responsibility for others' exposure to any offensive indecent or objectionable content in Your Upload Information.
13. Disclaimer of Warranties

THE PROPERTIES, INCLUDING, WITHOUT LIMITATION, ALL CONTENT, SOFTWARE, AND FUNCTIONS MADE AVAILABLE ON OR ACCESSED THROUGH OR SENT FROM THE WEBSITE, ARE PROVIDED "AS IS," "AS AVAILABLE, " AND "WITH ALL FAULTS." TO THE FULLEST EXTENT PERMISSIBLE BY LAW, LAST.FM AND ITS PARENTS, SUBSIDIARIES AND AFFILIATES MAKE NO REPRESENTATION OR WARRANTIES OR ENDORSEMENTS OF ANY KIND WHATSOEVER (EXPRESS OR IMPLIED) ABOUT: (A) THE PROPERTIES; (B) THE CONTENT AND SOFTWARE ON AND PROVIDED THROUGH THE PROPERTIES; (C) THE FUNCTIONS MADE ACCESSIBLE ON OR ACCESSED THROUGH THE PROPERTIES; (D) THE MESSAGES, CONTENT AND INFORMATION SENT FROM OR THROUGH THE PROPERTIES BY USERS; (E) ANY PRODUCTS OR SERVICES OFFERED VIA THE WEBSITE OR HYPERTEXT LINKS TO THIRD PARTIES; AND/OR (F) THE TREATMENT OF ANY INFORMATION, CONTENT, MATERIAL OR DATA TRANSMITTED BY USERS TO THE PROPERTIES; (G) SECURITY ASSOCIATED WITH THE TRANSMISSION OF SENSITIVE INFORMATION THROUGH THE PROPERTIES OR ANY LINKED SITE. LAST.FM DOES NOT WARRANT THAT THE PROPERTIES, ANY OF THE PROPERTIES' FUNCTIONS OR ANY CONTENT CONTAINED THEREIN WILL BE UNINTERRUPTED OR ERROR-FREE; THAT DEFECTS WILL BE CORRECTED; OR THAT THE PROPERTIES OR THE SERVERS THAT MAKE THEM AVAILABLE ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS.

LAST.FM DOES NOT WARRANT THAT YOUR ACTIVITIES IN CONNECTION WITH OR USE OF THE PROPERTIES IS LAWFUL IN ANY PARTICULAR JURISDICTION AND, IN ANY EVENT, LAST.FM SPECIFICALLY DISCLAIMS SUCH WARRANTIES TO THE FULLEST EXTENT PERMITTED BY LAW. YOU UNDERSTAND THAT BY USING ANY OF THE FEATURES OF THE PROPERTIES, YOU ACT AT YOUR OWN RISK, AND YOU REPRESENT AND WARRANT THAT YOUR ACCESS AND ACTIVITIES ARE LAWFUL IN EVERY JURISDICTION WHERE YOU ACCESS OR USE THE WEBSITE, THE SERVICES OR THE CONTENT. FURTHER, LAST.FM AND ITS SUBSIDIARIES AND AFFILIATES DISCLAIM, TO THE FULLEST EXTENT PERMITTED BY LAW, ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING, WITHOUT LIMITATION, NONINFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND TITLE.

LAST.FM, ITS PARENT, SUBSIDIARIES OR AFFILIATES OR THE DIRECTORS, OFFICERS, EMPLOYEES, OR OTHER REPRESENTATIVES OF EACH OF THEM SHALL NOT BE LIABLE IN ANY EVENT FOR THE USE OF THE WEBSITE OR OTHER PROPERTIES, INCLUDING, WITHOUT LIMITATION, THE CONTENT AND ANY ERRORS CONTAINED THEREIN. WHERE ANY JURISDICTIONS LIMIT OR DO NOT ALLOW THE DISCLAIMER OF IMPLIED OR OTHER WARRANTIES AS SET OUT ABOVE, THE DISCLAIMER MAY NOT APPLY TO THE EXTENT THE LAW OF SUCH JURISDICTION IS APPLICABLE TO THIS AGREEMENT.

YOU AGREE THAT YOUR USE OF THE PROPERTIES IS ENTIRELY AT YOUR OWN RISK.
14. Disclaimers/Limitation of Liability

WITHOUT LIMITATION OF ANYTHING ELSE SET FORTH IN THESE TERMS OF USE, YOU UNDERSTAND AND AGREE THAT LAST.FM FURTHER LIMITS ITS LIABILITY IN CONNECTION WITH YOUR USE OF THE PROPERTIES AS SET FORTH BELOW:

UNDER NO CIRCUMSTANCES SHALL LAST.FM, ITS PARENT, SUBSIDIARIES, OR AFFILIATES OR THE DIRECTORS, OFFICERS, EMPLOYEES, OR OTHER REPRESENTATIVES OF EACH OF THEM (COLLECTIVELY, THE "LAST.FM ENTITIES AND INDIVIDUALS") BE LIABLE TO YOU FOR ANY LOSS OR DAMAGES OF ANY KIND, INCLUDING, WITHOUT LIMITATION, FOR ANY SPECIAL, DIRECT, INDIRECT, INCIDENTAL, EXEMPLARY, ECONOMIC, PUNITIVE, OR CONSEQUENTIAL DAMAGES THAT ARE DIRECTLY OR INDIRECTLY RELATED TO (1) THE PROPERTIES, THE CONTENT, OR YOUR UPLOAD INFORMATION; (2) THE USE OF, INABILITY TO USE, OR PERFORMANCE OF THE PROPERTIES OR ANY OF THE CONTENT OR FEATURES THEREON; (3) ANY ACTION TAKEN IN CONNECTION WITH AN INVESTIGATION BY LAST.FM OR LAW ENFORCEMENT AUTHORITIES REGARDING YOUR USE OF THE PROPERTIES OR CONTENT; (4) ANY ACTION TAKEN IN CONNECTION WITH COPYRIGHT OWNERS; (5) ANY ERRORS OR OMISSIONS IN THE PROPERTIES’ TECHNICAL OPERATION, EVEN IF FORESEEABLE OR EVEN IF THE LAST.FM ENTITIES AND INDIVIDUALS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, STRICT LIABILITY TORT (INCLUDING, WITHOUT LIMITATION, WHETHER CAUSED IN WHOLE OR IN PART BY NEGLIGENCE, ACTS OF GOD, TELECOMMUNICATIONS FAILURE, OR THEFT OR DESTRUCTION OF THE PROPERTIES). NOTHING IN THESE TERMS OF USE LIMITS OR EXCLUDES LAST.FM’S LIABILITY FOR: (A) DEATH OR PERSONAL INJURY CAUSED BY ITS PROVEN NEGLIGENCE; (B) THE TORT OF DECEIT; OR (C) ANY LIABILITY WHICH CANNOT BE LIMITED OR EXCLUDED BY LAW.

IF ANY OF THESE TERMS OF USE ARE DETERMINED TO BE ILLEGAL, INVALID OR OTHERWISE UNENFORCEABLE BY REASON OF THE LAWS OF ANY STATE OR COUNTRY IN WHICH THESE TERMS OF USE ARE INTENDED TO BE EFFECTIVE, THEN TO THE EXTENT AND WITHIN THE JURISDICTION IN WHICH THAT TERM IS ILLEGAL, INVALID OR UNENFORCEABLE, IT SHALL BE SEVERED AND DELETED FROM THESE TERMS OF USE AND THE REMAINING TERMS SHALL SURVIVE AND CONTINUE TO BE BINDING AND ENFORCEABLE.

THE LAST.FM ENTITIES AND INDIVIDUALS ARE NOT RESPONSIBLE FOR ANY DAMAGE TO ANY USER'S COMPUTER, HARDWARE, COMPUTER SOFTWARE, OR OTHER EQUIPMENT OR TECHNOLOGY INCLUDING, WITHOUT LIMITATION, DAMAGE FROM ANY SECURITY BREACH OR FROM ANY VIRUS, BUGS, TAMPERING, FRAUD, ERROR, OMISSION, INTERRUPTION, DEFECT, DELAY IN OPERATION OR TRANSMISSION, COMPUTER LINE OR NETWORK FAILURE OR ANY OTHER TECHNICAL OR OTHER MALFUNCTION.

YOUR ACCESS TO AND USE OF THIS THE PROPERTIES IS AT YOUR RISK. IF YOU ARE DISSATISFIED WITH THE PROPERTIES OR ANY OF THE CONTENT, YOUR SOLE AND EXCLUSIVE REMEDY IS TO DISCONTINUE ACCESSING AND USING THE PROPERTIES OR THE CONTENT.

YOU RECOGNISE AND CONFIRM THAT IN THE EVENT YOU INCUR ANY DAMAGES, LOSSES OR INJURIES THAT ARISE OUT OF LAST.FM'S ACTS OR OMISSIONS, THE DAMAGES, IF ANY, CAUSED TO YOU ARE NOT IRREPARABLE OR SUFFICIENT TO ENTITLE YOU TO AN INJUNCTION PREVENTING ANY EXPLOITATION OF ANY WEB SITE, PROPERTY, PRODUCT, PROGRAM, TELEVISION SHOW, MOTION PICTURE OR OTHER AUDIO/VISUAL CONTENT OWNED OR CONTROLLED BY LAST.FM AND/OR ITS PARENTS, SUBSIDIARIES, AND/OR AFFILIATES OR YOUR UPLOAD INFORMATION, AND YOU WILL HAVE NO RIGHTS TO ENJOIN OR RESTRAIN THE DEVELOPMENT, PRODUCTION, DISTRIBUTION, ADVERTISING, EXHIBITION OR EXPLOITATION OF ANY LAST.FM WEB SITE, SERVICES, PROPERTIES, PRODUCT, PROGRAM, MUSIC, TELEVISION SHOW, MOTION PICTURE OR OTHER AUDIO/VISUAL CONTENT OR YOUR UPLOAD INFORMATION OR ANY AND ALL ACTIVITIES OR ACTIONS RELATED THERETO.
15. Indemnity

You agree to indemnify, hold harmless, and keep Last.fm, its parents, subsidiaries and affiliates, and their respective owners, officers, managers, members, agents and employees, fully and effectively indemnified with respect to any and all costs, claims, demands, investigations, liabilities, losses, damages, judgments, settlements, costs and expenses, including attorneys' fees arising out of or in connection with this Terms of Use, including, without limitation: (a) your use of the Properties; (b) your violation of these Terms of Use or any law, rule or regulation; (c) your use of the Content; or (d) your placement or transmission of any of Your Upload Information or any other content or materials on or through the Properties. You will cooperate as fully and reasonably as required by Last.fm in the defence of any claim. Notwithstanding the foregoing, Last.fm retains the exclusive right to settle, compromise and pay any and all claims, demands, proceedings, suits, actions or causes of actions which are brought against Last.fm herein under the terms and provisions of this Section 15 and in no event shall you settle any such claim without Last.fm's prior written approval.
16. Governing Law

These Terms of Use and the interpretation of these Terms of Use shall be governed by and construed in accordance with the laws of England.
17. Miscellaneous

Any other rules, restrictions, guidelines and terms and conditions that may be posted or made available in connection with a particular feature on the Website or Service are incorporated by this reference into these Terms of Use for all purposes.

You are solely responsible for compliance with applicable laws, rules, and regulations in connection with your use of the Properties and the Content, including, without limitation, those governing your transmission or use of any software or data.

These Terms of Use and any applicable end user licence or similar agreements contain the sole and entire agreement between the parties with respect to the Properties, the Content and Your Upload Information and supersedes any and all other prior written or oral agreements between them. The section titles in these Terms of Use are for your convenience only and do not have any legal or contractual effect. You agree that these Terms of Use will not be construed against Last.fm by virtue of having drafted these Terms of Use. If any provision of these Terms of Use shall be held invalid or unenforceable by any court of competent jurisdiction or as a result of future legislative action, such holding or action shall be strictly construed and shall not affect the validity or effect of any other provision of these Terms of Use. No waiver on the part of Last.fm of any of these Terms of Use will be of any force or effect unless made in writing and signed by a duly authorized officer of Last.fm.

Nothing in these Terms of Use are intended to confer on any third party (whether referred to in the Terms of Use by name, class, description or otherwise) any benefit or any right under any legislation in any country to enforce any provisions of these Terms of Use.
18. Termination

You understand and agree that Last.fm will determine your compliance with these Terms of Use in its sole discretion. Last.fm reserves the right to restrict, suspend, deny or terminate access to all or part of the Website or any Service and to deny access to any person in its sole discretion without notice or liability of any kind. Last.fm maintains a policy that provides for the termination in appropriate circumstances of the Website use privileges of users who are repeat infringers of intellectual property rights. Any violation of these Terms of Use may be referred to law enforcement authorities. Upon termination of your user account or access to the Web Site, or upon demand by Last.fm, you must destroy all materials obtained from the Properties and all related documentation.
19. Privacy

Registration data and certain other information about you are subject to our Privacy Policy. Please read the Privacy Policy for information on how your personal data and other information about you will be handled. By accepting these Terms of Use you are also accepting the terms of the Privacy Policy, which is incorporated herein by reference for all purposes.
	

	
	
	
	
	
	
	
	
LastFM Module includes or is derivative of works distributed under the licenses listed below.

This file includes the full text of the following licenses:
------------------------------------------------------------------

 * GNU General Public License (GNU GPL) version 3.0


GNU GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright © 2007 Free Software Foundation, Inc. <http://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.
Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.
TERMS AND CONDITIONS
0. Definitions.

“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.
1. Source Code.

The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non-source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.
2. Basic Permissions.

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.
3. Protecting Users' Legal Rights From Anti-Circumvention Law.

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.
4. Conveying Verbatim Copies.

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.
5. Conveying Modified Source Versions.

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

    * a) The work must carry prominent notices stating that you modified it, and giving a relevant date.
    * b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
    * c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
    * d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.
6. Conveying Non-Source Forms.

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

    * a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
    * b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
    * c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
    * d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
    * e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.
7. Additional Terms.

“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

    * a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
    * b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
    * c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
    * d) Limiting the use for publicity purposes of names of licensors or authors of the material; or
    * e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
    * f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.
8. Termination.

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.
9. Acceptance Not Required for Having Copies.

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.
10. Automatic Licensing of Downstream Recipients.

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.
11. Patents.

A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's “contributor version”.

A contributor's “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.
12. No Surrender of Others' Freedom.

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.
13. Use with the GNU Affero General Public License.

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.
14. Revised Versions of this License.

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.
15. Disclaimer of Warranty.

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
16. Limitation of Liability.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
17. Interpretation of Sections 15 and 16.

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.

END OF TERMS AND CONDITIONS
How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.

To do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the “copyright” line and a pointer to where the full notice is found.

    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

Also add information on how to contact you by electronic and paper mail.

If the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:

    <program>  Copyright (C) <year>  <name of author>
    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an “about box”.

You should also get your employer (if you work as a programmer) or school, if any, to sign a “copyright disclaimer” for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.

The GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>.

