<?php
/**
* lastfm Module: mod_lastfmjr
* @version $Id$
* @package mod_lastfmjr
* @subpackage mod_lastfmjr.xml
* @author joomlarulez.
* @copyright (C) www.joomlarulez.com
* @license Limited  http://www.gnu.org/licenses/gpl.html
* @final 1.2.0
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// Include the syndicate functions only once
require_once( dirname(__FILE__).DS.'helper.php' );

$params = modLastfmjrHelper::getParams( $params );

// Plugin Parameters
$lfmsite  = JURI::root();
$document =& JFactory::getDocument();
$params2 = JComponentHelper::getParams('com_languages');
$is_lastfm_lang = $params2->get('site', 'en-GB');
$is_lastfm_widget_radio_enabled = $params->get('lastfmWidgetRadioEnabled');
$is_lastfm_widget_quilt_enabled = $params->get('lastfmWidgetQuiltEnabled', "1");
$is_lastfm_widget_charts_enabled = $params->get('lastfmWidgetChartsEnabled');
if ($is_lastfm_lang == "fr-FR") 
{
	$is_lastfm_lang2 = "fr"; 
	$is_lastfm_lang_url = "http://www.lastfm.fr";
	$is_lastfm_widget_library = "bibliothéque";
	$is_lastfm_widget_seeprofil = "Voir le profil de";
	$is_lastfm_widget_popup = "Ouvrir dans une fenétre pop-up";
	$is_lastfm_widget_charts_text = "Morceaux écoutés récemment";
}
elseif ($is_lastfm_lang == "es-ES") 
{
	$is_lastfm_lang2 = "es"; 
	$is_lastfm_lang_url = "http://www.lastfm.es";
	$is_lastfm_widget_library = "Biblioteca";
	$is_lastfm_widget_seeprofil = " Perfil";
	$is_lastfm_widget_popup = "Cargar el radio en un popup";
	$is_lastfm_widget_charts_text = "Pistas Escuchadas Recientemente";
}
elseif ($is_lastfm_lang == "pt-PT") 
{
	$is_lastfm_lang2 = "pt"; 
	$is_lastfm_lang_url = "http://www.lastfm.com.br";
	$is_lastfm_widget_library = "Biblioteca";
	$is_lastfm_widget_seeprofil = "'s Perfil";
	$is_lastfm_widget_popup = "Carregar esta radio num popup";
	$is_lastfm_widget_charts_text = "Faixa Ouvida Recentemente";
}
elseif ($is_lastfm_lang == "pt-BR") 
{
	$is_lastfm_lang2 = "pt";
	$is_lastfm_lang_url = "http://www.lastfm.com.br";
	$is_lastfm_widget_library = "Biblioteca";
	$is_lastfm_widget_seeprofil = "'s Perfil";
	$is_lastfm_widget_popup = "Carregar essa radio num popup";
	$is_lastfm_widget_charts_text = "Faixa Escutada Recentemente";
}
else 
{
	$is_lastfm_lang2 = "en"; 
	$is_lastfm_lang_url = "http://www.last.fm";
	$is_lastfm_widget_library = "Library";
	$is_lastfm_widget_seeprofil = "'s profile";
	$is_lastfm_widget_popup = "Load this radio in a pop up";
	$is_lastfm_widget_charts_text = "Recently Listened Track";
}
$is_lastfm_widget_tasteometer_enabled = $params->get('lastfmWidgetTasteometerEnabled');

// Get User Last FM Parameter
$lastfm_user = $params->get('lasfm_user');	

require( JModuleHelper::getLayoutPath( 'mod_lastfmjr' ) );
?>